#!/bin/bash

#Löscht alle "*.tar.gz" und "*.sql" Dateien die älter als 14 Tage sind:
find -P "/mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Gitea/"  -maxdepth 1 -type f \( -name '*.tar.gz' \) -ctime +14 -exec rm {} \;
find -P "/mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Gitea/"  -maxdepth 1 -type f \( -name '*.sql' \) -ctime +14 -exec rm {} \;

#Zur Sicherheit noch einen SQL-Dump der Datenbank
. .env
docker exec -i openwill-gitea-db -u$DB_USER -p$DB_PASSWD $DB_NAME > /mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Gitea/gitea-`date '+%Y%m%d%H%M'`.sql

#Die Docker Container stoppen und die Datenverzeichnisse komprimieren und wegkopieren
cd /root/deployments/Gitea/
docker-compose stop
cd /opt/docker/
tar cvf /mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Gitea/gitea-`date '+%Y%m%d%H%M'`.tar.gz gitea/

#Docker Container starten
cd /root/deployments/Gitea/
docker-compose -f docker-compose-prod.yml up -d

#Nextcloud Datenbank über die Dateiänderung Bescheid geben
docker exec --user www-data nextcloud php occ files:scan -p timm/files/SERVER/Hetzner-Cloud-CX21/Gitea/
